Bug 655478 - OOo base incompatibility mysql hsqldb
Summary: OOo base incompatibility mysql hsqldb
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-21 08:14 UTC by Julio Sanchez Fernandez
Modified: 2012-08-16 20:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 20:32:26 UTC
Type: ---


Attachments (Terms of Use)
HS error report on the crash (57.45 KB, application/octet-stream)
2010-11-21 08:14 UTC, Julio Sanchez Fernandez
no flags Details

Description Julio Sanchez Fernandez 2010-11-21 08:14:22 UTC
Created attachment 461807 [details]
HS error report on the crash

Description of problem:

OOo base crashes or is otherwise unusable when both a MySQL database and one external (not embedded) HSQLDB database are opened at the same time.  I experienced there while trying to transfer information from one database to the other.

Version-Release number of selected component (if applicable):

openoffice.org-base-3.3.0-14.1.fc14.i686
mysql-connector-java-5.1.12-1.fc14.i686
hsqldb-1.8.0.10-5.fc13.i686

How reproducible:


Steps to Reproduce:
1.Create an .odb document that links to some existing MySQL database, use the com.mysql.jdbc.Driver.  Save and close.
2.Create a different .odb document that links to an existing JDBC database (it will be created automatically, "existing" is misleading in this case. Use org.hsqldb.jdbcDriver as driver, in my case the used URL is "hsqldb:file:/home/julio/Personal/genealogia/hsqldb/valdepenas/valdepenas;default_schema=true;shutdown=true;hsqldb.default_table_type=cached;get_column_name=false". Save and close.
3.Now open the MySQL-connected document, open a table or do something that forces opening the connection (it demands password in this step). Then, open the HSQLDB-connected database.  The tables list is unusable, it does not show existing tables, if any, and it is impossible to create any table there, everything is greyed-out.  Close everything.
4. Now do it in the opposite order, open the HSQLDB-connected document first (tables may be edited normally) and, then, the MySQL-connected document.  Force a database connection to the MySQL server and OOo crashes.  Se attached reports.
  
Actual results:
Unusable combination either because of unstability or disabled features.

Expected results:
Be able to copy information from one database to the other.

Additional info:

I tried rebuilding the hsqldb RPMS on fc14 to see if it would fix it but it did not make any difference so I returned to Fedora official RPMS.

Comment 1 Caolan McNamara 2010-11-23 21:13:43 UTC
Problem with these database access bugs is the setup time to reproduce them vs other easier to get start on bugs. We'll hopefully get around to it eventually I hope :-(

Comment 3 Stephan Bergmann 2012-06-18 10:10:19 UTC
I am not able to set this scenario up on Fedora 17.  I'm unable to get step 2 ("Create a different .odb document that links to an existing JDBC database") working.

What I did:

A  Have the relevant rpms installed:
libreoffice-base-3.5.4.2-1.fc17.x86_64
mysql-connector-java-5.1.17-5.fc17.noarch
hsqldb-1.8.1.3-7.fc17.noarch

B  I noticed that LibreOffice would find neither of the jars from the mysql-connector-java and hsqldb rpms above.  Is this a known problem?  So I modified /usr/lib64/libreoffice/program/fundamentalrc, adding

 file:///usr/share/java/mysql-connector-java.jar file:///usr/share/java/hsqldb.jar

to the end of the the URE_MORE_JAVA_CLASSPATH_URLS line.

C  Create a MySQL database (having mysql-server-5.5.24-1.fc17.x86_64 installed, see also <http://docs.fedoraproject.org/en-US/Fedora/13/html/Managing_Confined_Services/chap-Managing_Confined_Services-MySQL.html>):
$ sudo service mysqld start
Redirecting to /bin/systemctl  start mysqld.service
$ mysql -uroot
Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 3
Server version: 5.5.24 MySQL Community Server (GPL)
Copyright (c) 2000, 2011, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its
affiliates. Other names may be trademarks of their respective
owners.
Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.
mysql> CREATE DATABASE rhz655478;
Query OK, 1 row affected (0.00 sec)
mysql> use rhz655478;
Database changed
mysql> CREATE TABLE foo ( num SERIAL PRIMARY KEY, data VARCHAR(50) );
Query OK, 0 rows affected (0.10 sec)
mysql> INSERT INTO foo (data) VALUES ('one'), ('two'), ('three'), ('four');
Query OK, 4 rows affected (0.04 sec)
Records: 4  Duplicates: 0  Warnings: 0
mysql> \q
Bye

D  Do step 1 ("Create an .odb document that links to some existing MySQL database"):
$ soffice --base
"Connect to an existing database - MySQL", "Next >>"
"Connect using JDBC (Java Database Connectivity", "Next >>"
"Database name": "rhz655478", "Server": "localhost", ("Port number" defaults to "3306", "MySQL JDBC driver class" defaults to "com.mysql.jdbc.Driver"), "Next >>"
"User name": "root" ("Password required" stays off), "Next >>"
"Yes, register the database for me", "Open the database for editing", "Finish", save as "test1.odb"
"File - Exit"

E  "Create a different .odb document that links to an existing JDBC database (it will be created automatically, 'existing' is misleading in this case" -- what do I need to do here exactly?  (I assume I need to set up some hsqld database up first nevertheless, even though you state "it will be created automatically"?)

Comment 4 Fedora End Of Life 2012-08-16 20:32:28 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.